PETSc version 3.15.5
Fix/Edit manual page

# PetscSectionSymRegister

Adds a new section symmetry implementation

### Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionSymRegister(const char sname[], PetscErrorCode (*function)(PetscSectionSym))

Not Collective

### Input Parameters

| name | - The name of a new user-defined creation routine
| create_func | - The creation routine itself

### Notes

PetscSectionSymRegister() may be called multiple times to add several user-defined vectors

### See Also

PetscSectionSymCreate(), PetscSectionSymSetType()

### Level

developer

### Location

src/vec/is/section/interface/section.c
Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages